## candid 1.0.0~alpha%2B201804191824

=== src/golang.org/x/net/http2/Makefile ===
curlimage:
	docker build -t gohttp2/curl .

=== src/github.com/CanonicalLtd/candid/snap/candidsrv/Makefile ===
# Copyright 2016 Canonical Ltd.
# Makefile for the candidsrv snap.

snap:
	snapcraft

clean:
	snapcraft clean

.PHONY: snap clean

=== src/github.com/golang/protobuf/protoc-gen-go/testdata/Makefile ===
# Go support for Protocol Buffers - Google's data interchange format
#
# Copyright 2010 The Go Authors.  All rights reserved.
# https://github.com/golang/protobuf
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
#     * Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#     * Redistributions in binary form must reproduce the above
# copyright notice, this list of conditions and the following disclaimer
# in the documentation and/or other materials provided with the
# distribution.
#     * Neither the name of Google Inc. nor the names of its
# contributors may be used to endorse or promote products derived from
# this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

all:
	@echo run make test

include ../../Make.protobuf

test:	golden testbuild

#test:	golden testbuild extension_test
#	./extension_test
#	@echo PASS

my_test/test.pb.go: my_test/test.proto
	protoc --go_out=Mmulti/multi1.proto=github.com/golang/protobuf/protoc-gen-go/testdata/multi:. $<

golden:
	make -B my_test/test.pb.go
	sed -i '/return.*fileDescriptor/d' my_test/test.pb.go
	sed -i '/^var fileDescriptor/,/^}/d' my_test/test.pb.go
	sed -i '/proto.RegisterFile.*fileDescriptor/d' my_test/test.pb.go
	gofmt -w my_test/test.pb.go
	diff -w my_test/test.pb.go my_test/test.pb.go.golden

nuke:	clean

testbuild:	regenerate
	go test

regenerate:
	# Invoke protoc once to generate three independent .pb.go files in the same package.
	protoc --go_out=. multi/multi1.proto multi/multi2.proto multi/multi3.proto

#extension_test:	extension_test.$O
#	$(LD) -L. -o $@ $<

#multi.a: multi3.pb.$O multi2.pb.$O multi1.pb.$O
#	rm -f multi.a
#	$(QUOTED_GOBIN)/gopack grc $@ $<

#test.pb.go:	imp.pb.go
#multi1.pb.go:	multi2.pb.go multi3.pb.go
#main.$O: imp.pb.$O test.pb.$O multi.a
#extension_test.$O: extension_base.pb.$O extension_extra.pb.$O extension_user.pb.$O

## candid 1.0.0~alpha+201804191824

=== src/gopkg.in/ldap.v2/Makefile ===
.PHONY: default install build test quicktest fmt vet lint 

default: fmt vet lint build quicktest

install:
	go get -t -v ./...

build:
	go build -v ./...

test:
	go test -v -cover ./...

quicktest:
	go test ./...

# Capture output and force failure when there is non-empty output
fmt:
	@echo gofmt -l .
	@OUTPUT=`gofmt -l . 2>&1`; \
	if [ "$$OUTPUT" ]; then \
		echo "gofmt must be run on the following files:"; \
		echo "$$OUTPUT"; \
		exit 1; \
	fi

# Only run on go1.5+
vet:
	go tool vet -atomic -bool -copylocks -nilfunc -printf -shadow -rangeloops -unreachable -unsafeptr -unusedresult .

# https://github.com/golang/lint
# go get github.com/golang/lint/golint
# Capture output and force failure when there is non-empty output
# Only run on go1.5+
lint:
	@echo golint ./...
	@OUTPUT=`golint ./... 2>&1`; \
	if [ "$$OUTPUT" ]; then \
		echo "golint errors:"; \
		echo "$$OUTPUT"; \
		exit 1; \
	fi

=== src/launchpad.net/lpad/Makefile ===
include $(GOROOT)/src/Make.inc

TARG=launchpad.net/lpad

GOFILES=\
	archive.go\
	blueprint.go\
	build.go\
	builder.go\
	branch.go\
	bug.go\
	oauth.go\
	person.go\
	project.go\
	distro.go\
	source.go\
	session.go\
	value.go\

include $(GOROOT)/src/Make.pkg

runexample: _obj/launchpad.net/lpad.a
	$(GC) -I _obj -o example.$(O) example.go
	$(LD) -L _obj -o example example.$(O)
	./example

GOFMT=gofmt
BADFMT=$(shell $(GOFMT) -l $(GOFILES) $(wildcard *_test.go))

gofmt: $(BADFMT)
	@for F in $(BADFMT); do $(GOFMT) -w $$F && echo $$F; done

ifneq ($(BADFMT),)
ifneq ($(MAKECMDGOALS),gofmt)
#$(warning WARNING: make gofmt: $(BADFMT))
endif
endif

=== src/github.com/CanonicalLtd/candid/Makefile ===
# Copyright 2014 Canonical Ltd.
# Licensed under the AGPLv3, see LICENCE file for details.
# Makefile for the candid identity service.

ifndef GOPATH
$(warning You need to set up a GOPATH.)
endif

PROJECT := github.com/CanonicalLtd/candid
PROJECT_DIR := $(shell go list -e -f '{{.Dir}}' $(PROJECT))

GIT_COMMIT := $(shell git rev-parse --verify HEAD)
GIT_VERSION := $(shell git describe --dirty)

ifeq ($(shell uname -p | sed -r 's/.*(x86|armel|armhf).*/golang/'), golang)
	GO_C := golang
	INSTALL_FLAGS :=
else
	GO_C := gccgo-4.9 gccgo-go
	INSTALL_FLAGS := -gccgoflags=-static-libgo
endif

define DEPENDENCIES
  build-essential
  bzr
  juju-mongodb
  mongodb-server
  $(GO_C)
endef

default: build

$(GOPATH)/bin/godeps:
	go get -u github.com/rogpeppe/godeps

# Start of GOPATH-dependent targets. Some targets only make sense -
# and will only work - when this tree is found on the GOPATH.
ifeq ($(CURDIR),$(PROJECT_DIR))

build: version/init.go
	go build $(PROJECT)/...

check: version/init.go
	go test $(PROJECT)/...

release: candid-$(GIT_VERSION).tar.xz

install: version/init.go
	go install $(INSTALL_FLAGS) -v $(PROJECT)/...

clean:
	$(MAKE) -C snap/candidsrv clean
	$(MAKE) -C snap/candid clean
	go clean $(PROJECT)/...
	-$(RM) version/init.go

else

build:
	$(error Cannot $@; $(CURDIR) is not on GOPATH)

check:
	$(error Cannot $@; $(CURDIR) is not on GOPATH)

install:
	$(error Cannot $@; $(CURDIR) is not on GOPATH)

release:
	$(error Cannot $@; $(CURDIR) is not on GOPATH)

clean:
	$(error Cannot $@; $(CURDIR) is not on GOPATH)

endif
# End of GOPATH-dependent targets.

# Reformat source files.
format:
	gofmt -w -l .

# Reformat and simplify source files.
simplify:
	gofmt -w -l -s .

# Run the candid server.
server: install
	candidsrv -logging-config INFO cmd/candidsrv/config.yaml

# Update the project Go dependencies to the required revision.
deps: $(GOPATH)/bin/godeps
	$(GOPATH)/bin/godeps -u dependencies.tsv

# Generate the dependencies file.
create-deps: $(GOPATH)/bin/godeps
	godeps -t $(shell go list $(PROJECT)/...) > dependencies.tsv || true

# Generate version information
version/init.go: version/init.go.tmpl FORCE
	gofmt -r "unknownVersion -> Version{GitCommit: \"${GIT_COMMIT}\", Version: \"${GIT_VERSION}\",}" $< > $@

# Generate snaps
snap:
	$(MAKE) -C snap/candidsrv
	$(MAKE) -C snap/candid

RELEASE_BINARY_PACKAGES=$(PROJECT)/cmd/candidsrv

# Build a release tarball
candid-$(GIT_VERSION).tar.xz: version/init.go
	rm -rf candid-release
	mkdir -p candid-release
	GOBIN=$(CURDIR)/candid-release/bin go install $(INSTALL_FLAGS) -v $(RELEASE_BINARY_PACKAGES)
	cp -r $(CURDIR)/templates candid-release
	cp -r $(CURDIR)/static candid-release
	@# Note: we need to redirect the "cd" below because
	@# it can print things and hence corrupt the tar archive.
	(cd candid-release >/dev/null 2>&1;  tar c *) | xz > $@
	-rm -r candid-release

.PHONY: deploy
deploy: release
	$(MAKE) -C charm build
	juju deploy -v ./charm --resource service=candid-$(GIT_VERSION).tar.xz

# Install packages required to develop the candid service and run tests.
APT_BASED := $(shell command -v apt-get >/dev/null; echo $$?)
sysdeps:
ifeq ($(APT_BASED),0)
ifeq ($(shell lsb_release -cs|sed -r 's/precise|quantal|raring/old/'),old)
	@echo Adding PPAs for golang and mongodb
	@sudo apt-add-repository --yes ppa:juju/golang
	@sudo apt-add-repository --yes ppa:juju/stable
endif
	@echo Installing dependencies
	sudo apt-get update
	@sudo apt-get -y install $(strip $(DEPENDENCIES)) \
	$(shell apt-cache madison juju-mongodb mongodb-server snapcraft | head -1 | cut -d '|' -f1)
else
	@echo sysdeps runs only on systems with apt-get
	@echo on OS X with homebrew try: brew install bazaar mongodb
endif

help:
	@echo -e 'Identity service - list of make targets:\n'
	@echo 'make - Build the package.'
	@echo 'make check - Run tests.'
	@echo 'make install - Install the package.'
	@echo 'make release - Build a binary tarball of the package.'
	@echo 'make server - Start the candid server.'
	@echo 'make clean - Remove object files from package source directories.'
	@echo 'make sysdeps - Install the development environment system packages.'
	@echo 'make deps - Set up the project Go dependencies.'
	@echo 'make create-deps - Generate the Go dependencies file.'
	@echo 'make format - Format the source files.'
	@echo 'make simplify - Format and simplify the source files.'

.PHONY: build check install clean format release server simplify snap sysdeps help FORCE

FORCE:

=== src/github.com/CanonicalLtd/candid/charm/Makefile ===
.PHONY: build
build: hooks/charmhelpers

hooks/charmhelpers: charm-helpers.yaml
	./charm_helpers_sync.py -c charm-helpers.yaml

.PHONY: lint
lint:
	@# ls -d hooks/* | grep -v -E '/(install|charmhelpers)$'
	flake8 \
		hooks/config-changed \
		hooks/install.py \
		hooks/jaascharm.py \
		hooks/mongodb-relation-changed \
		hooks/nrpe-relation-changed \
		hooks/postgres-relation-changed \
		hooks/status.py \
		hooks/stop \
		hooks/update-status \
		hooks/upgrade-charm \
		hooks/website-relation-joined \
			
.PHONY: clean
clean:
	-rm -rf hooks/charmhelpers

=== src/github.com/CanonicalLtd/candid/snap/candid/Makefile ===
# Copyright 2016 Canonical Ltd.
# Makefile for the user-admin snap.

snap:
	snapcraft

clean:
	snapcraft clean

.PHONY: snap clean

## candid 1.0.0~alpha+201804191824-24b36a9

=== debian/changelog ===
candid (1.0.0~alpha+201804191824-24b36a9-0ubuntu2) bionic; urgency=medium

  * Build using golang where available.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Apr 2018 12:28:02 +0200

candid (1.0.0~alpha+201804191824-24b36a9-0ubuntu1) bionic; urgency=medium

  * Initial release (LP: #1765476)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Thu, 19 Apr 2018 14:30:51 -0400

=== debian/control ===
Source: candid
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Rick Harding <rick.harding@canonical.com>
Build-Depends: debhelper (>= 11),
               gccgo-go [!amd64 !i386 !armhf !arm64 !ppc64el !s390x],
               golang-go (>= 2:1.2) [amd64 i386 armhf arm64 ppc64el s390x],
               lsb-release
Standards-Version: 4.1.4
Homepage: https://github.com/CanonicalLtd/candid

Package: candid
Architecture: any
Depends: adduser, ${misc:Depends}, ${shlibs:Depends}
Description: Canonical Identity Service
 The Canonical Identity server provides a macaroon-based authentication
 service against external identity providers.
 .
 This package contains the Candid daemon.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export GOPATH:=$(CURDIR)
export PATH:=$(GOPATH)/bin:$(PATH)

%:
	dh $@

COMMON_FLAGS:= -x -v

override_dh_auto_install:
	go install $(COMMON_FLAGS) \
		github.com/CanonicalLtd/candid/cmd/candidsrv \
		github.com/CanonicalLtd/candid/cmd/candid
	# It is tempting to run go test here. However, that would require the
	# PPA build server to install mongodb. Instead, go test is run in
	# buildpackage.sh before building the source package.
	dh_install bin/candidsrv usr/sbin/
	dh_install bin/candid usr/bin/
	cp src/github.com/CanonicalLtd/candid/cmd/candidsrv/config.yaml config.yaml.sample
	dh_install config.yaml.sample etc/candid/
	dh_install src/github.com/CanonicalLtd/candid/static/ usr/share/candid/
	dh_install src/github.com/CanonicalLtd/candid/templates/ usr/share/candid/
	dh_auto_install

override_dh_auto_clean:
	rm -rf pkg bin
	dh_auto_clean

override_dh_builddeb:
	dh_builddeb -- -Zxz

override_dh_gencontrol:
	dh_gencontrol -- $(DB_DEP)

# Override as we don't ship a init.d script
override_dh_installinit:
	:

=== debian/tests/control ===

Tests: server
Depends: candid

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/<project>-$1\.tar\.gz/ \
  https://github.com/CanonicalLtd/candid/tags .*/v?(\d\S*)\.tar\.gz
